Bug 1154461 - Admin user management list datascroller is broken
Summary: Admin user management list datascroller is broken
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI   
(Show other bugs)
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.6
Assignee: Damian Jansen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-20 00:18 UTC by Damian Jansen
Modified: 2015-03-19 07:10 UTC (History)
2 users (show)

Fixed In Version: 3.6.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2189)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-19 07:10:18 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2014-10-20 00:18:46 UTC
Description of problem:
More easily visible on translate.zanata. Sign in as admin, go to Administration -> Manage Users

* The user list is so long that the pagination stretches about 2 - 3 times the width of the list itself.  It's somewhat horrible to look at and use, for that matter.
* Secondly, the synchronisation between the two scrollers is not correct, sometimes showing different page numbers or states
* The scroller always thinks it's on page 1, and the "First" button is not displayed correctly

Version-Release number of selected component (if applicable):
3.5

How reproducible:
Easy always (when user list is large)

Comment 1 Damian Jansen 2014-10-20 00:19:33 UTC
https://github.com/zanata/zanata-server/pull/609

Comment 2 Ding-Yi Chen 2014-10-21 01:08:54 UTC
VERIFIED with Zanata 3.6.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2189)


Note You need to log in before you can comment on or make changes to this bug.